org.richfaces.event

## Class MethodExpressionItemChangeListener

- java.lang.Object
- - org.richfaces.event.MethodExpressionEventListener
  - - org.richfaces.event.MethodExpressionItemChangeListener

- All Implemented Interfaces:
    EventListener, javax.faces.component.StateHolder, javax.faces.event.FacesListener, org.richfaces.event.ItemChangeListener

      public class MethodExpressionItemChangeListener
      extends MethodExpressionEventListener
      implements org.richfaces.event.ItemChangeListener

  MethodExpressionItemChangeListener is a `ItemChangeListener` that wraps a `MethodExpression`. When it receives a `ItemChangeEvent`, it executes a method on an object identified by the `MethodExpression`.

  Since:
    -4712-01-01
  Version:
    1.0
  Author:
    akolonitsky

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodExpressionItemChangeListener()`
    `MethodExpressionItemChangeListener(javax.el.MethodExpression methodExprOneArg)`
    `MethodExpressionItemChangeListener(javax.el.MethodExpression methodExprOneArg, javax.el.MethodExpression methodExprZeroArg)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processItemChange(org.richfaces.event.ItemChangeEvent itemChangeEvent)`

    - ### Methods inherited from class org.richfaces.event.MethodExpressionEventListener

      `isTransient, processEvent, restoreState, saveState, setTransient`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodExpressionItemChangeListener

          public MethodExpressionItemChangeListener()

    - #### MethodExpressionItemChangeListener

          public MethodExpressionItemChangeListener(javax.el.MethodExpression methodExprOneArg)

    - #### MethodExpressionItemChangeListener

          public MethodExpressionItemChangeListener(javax.el.MethodExpression methodExprOneArg,
                                            javax.el.MethodExpression methodExprZeroArg)

  - ### Method Detail

    - #### processItemChange

          public void processItemChange(org.richfaces.event.ItemChangeEvent itemChangeEvent)
                                 throws javax.faces.event.AbortProcessingException

      Specified by:
        `processItemChange` in interface `org.richfaces.event.ItemChangeListener`
      Throws:
        `javax.faces.event.AbortProcessingException`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.